Bug 822459 - [webadmin] uicommonweb: StorageModel NPE
[webadmin] uicommonweb: StorageModel NPE
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.1
Assigned To: Tomas Jelinek
ux
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-17 08:04 EDT by vszocs
Modified: 2012-08-09 03:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 03:59:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vszocs 2012-05-17 08:04:19 EDT
Steps to reproduce this issue:
1. open WebAdmin, switch to Storage main tab
2. click Import Domain, set Data Center to "(none)"
3. GWT developer mode shows following exception:

java.lang.NullPointerException: null
org.ovirt.engine.ui.uicommonweb.models.storage.StorageModel.PostUpdateHost(StorageModel.java:598)
Comment 1 Tomas Jelinek 2012-05-18 05:26:39 EDT
The behavior is even more problematic:

Have a data center "Defaul (NFS, V1)" which can import NO storage, than:

1. open WebAdmin, switch to Storage main tab
2: click Import Domain - immediately a NPE mentioned above is thrown
3: switch Data Center to "(none)"
4: both "Domain Function / Storage Type" and "Use Host" are correctly filled
5: let in "Domain Function / Storage Type" selected for example on "Export/NFS"
6: switch the "Data Center" back to "Defaul (NFS, V1)"
7: the gui will show the same filled in "Domain Function / Storage Type" as was for "(none)" ("Export/NFS" in this case).

So, when the data center has no importable storages, the import first throws a NPE and when you switch to some data center which has some importable storages, and than back to the one with no importable storages, it will show you the storage which has been selected for the data center with importable storages.
Comment 2 Tomas Jelinek 2012-05-18 07:34:40 EDT
in gerrit: http://gerrit.ovirt.org/#change,4545
Comment 3 vszocs 2012-05-22 13:11:56 EDT
Patch merged upstream.
Comment 4 Itamar Heim 2012-08-09 03:59:47 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Note You need to log in before you can comment on or make changes to this bug.